# GimpUi.ProcedureDialog.prototype.get_color_widget

    function get_color_widget(property: String, editable: Boolean, type: GimpUi.ColorAreaType): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_get_color_widget()
    }

Creates a new widget for property which must necessarily be a Gegl.Color property. This must be used instead of GimpUi.ProcedureDialog.prototype.get_widget when you want a GimpUi.LabelColor which is not customizable for a color property, or when to set a specific type.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

property

  name of the Gegl.Color property to build a widget for. It must be a property of the Gimp.Procedure dialog has been created for.

editable

  whether the color can be edited or is only for display.

type

  the GimpUi.ColorAreaType.

Returns

  a GimpUi.LabelColor representing property. The object belongs to dialog and must not be freed.